Package org.jbpm.shared.services.impl

## Class TransactionalCommandService

- java.lang.Object
- - org.jbpm.shared.services.impl.TransactionalCommandService

- All Implemented Interfaces:
    `org.kie.api.runtime.CommandExecutor`
  Direct Known Subclasses:
    `AuditTransactionalCommandServiceEJBImpl`, `TransactionalCommandServiceEJBImpl`

      public class TransactionalCommandService
      extends Object
      implements org.kie.api.runtime.CommandExecutor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.persistence.EntityManagerFactory` | `emf` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionalCommandService​(javax.persistence.EntityManagerFactory emf)` |
    `TransactionalCommandService​(javax.persistence.EntityManagerFactory emf, org.drools.persistence.api.TransactionManager txm)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `execute​(org.kie.api.command.Command<T> command)` |
    `org.kie.api.runtime.Context` | `getContext()` |
    `protected javax.persistence.EntityManager` | `getEntityManager​(org.kie.api.command.Command<?> command)` |
    `org.drools.persistence.api.TransactionManager` | `getTransactionManager()` |
    `protected void` | `setEmf​(javax.persistence.EntityManagerFactory emf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### emf

          protected javax.persistence.EntityManagerFactory emf

  - ### Constructor Detail

    - #### TransactionalCommandService

          public TransactionalCommandService​(javax.persistence.EntityManagerFactory emf,
                                             org.drools.persistence.api.TransactionManager txm)

    - #### TransactionalCommandService

          public TransactionalCommandService​(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### getContext

          public org.kie.api.runtime.Context getContext()

    - #### getTransactionManager

          public org.drools.persistence.api.TransactionManager getTransactionManager()

    - #### setEmf

          protected void setEmf​(javax.persistence.EntityManagerFactory emf)

    - #### execute

          public <T> T execute​(org.kie.api.command.Command<T> command)

      Specified by:
        `execute` in interface `org.kie.api.runtime.CommandExecutor`

    - #### getEntityManager

          protected javax.persistence.EntityManager getEntityManager​(org.kie.api.command.Command<?> command)